Subject: Pine *not* appending "@host" in From?

From: [email-masked] (Jerry Lynch)
Date: 18 Jul 1995 09:32:33 -0400

Does anyone know if it is possible to turn of the "feature" of Pine where
it writes your "From" address as "user@host" instead of just "user" as
most mail programs do? 

The reason I ask is because I'm trying to use Sendmail and its UserDB
option to alter the from address for all the users of my machine.  The
UserDB option works fine with every other mail program (such as elm) since
they write their "From" lines as "From: user".  However, pine has a
'feature' of writing the from line as "From: user@host" and the Sendmail
UserDB will not process from lines with the "@host" already appended. 

Is there any simple way to turn this 'feature' off (besides hacking up 
the code)?

I have tried compiling pine with the ALLOW_CHANGING_FROM option, and 
setting my personal "From" line to "From: user", but even this less than 
ideal solution doesn't work.  (Pine still adds the "@host").

Thanks.

	Jerry